#ifndef _GAME_SCENE_
#define _GAME_SCENE_

#include <HPLE3DLapper.h>

namespace MotionTest {
/** ゲームシーンの処理
  * 
  */
class GameScene: public HPL::General::AbstractScene {
private:

public:
	GameScene();
	virtual ~GameScene();

	void init();
	void process();
	void quit();

private:
	//! カメラ移動
	//int moveCamera();

	//! 文字列描画
	int drawText();

	//! レンダリング
	int render();

	//! フレームごとの移動処理
	int frameMove();
};
}

#endif
